Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 22 Mar 2021 01:40:55 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I made Order number 9643727724 on Thursday and it says the delivery on 22nd of march it is ok with me however I received SMS from emirates post that says the delivery is today " Sunday 21st" and they mentioned the courier phone number so I can contact him and that's what I did immediately and he told with an attitude that he will deliver it around 5pm and hang up the line. 
I waited till 5:20pm and he didn't call me so I decided to pray alasr and call him once I finished I found the he called 3 times within 5 minutes so I called him back and he didn't answer then I contacted him through whatsapp and he didn't answer as well meanwhile he's online then I received sms that delivery failed "please note that me exact location was mentioned" so I contacted emirates post and raised a complaint because this is not a way to deal with the customer let's say that he was nearby and he went far away from my location "within 5 minutes" at least he can answer the phone calls to inform me like what happened before with a previous order so if it is going to be like that from now on I'll stop ordering from max and I will suggest it to my family and friends as well https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2282285